Invite a tenant member
/v1/tenants/{tenantId}/invitationsInvites a user to join the tenant and assigns roles to them within the tenant's context. If the user has not registered to the Self Service Portal yet, then they will receive an email with a link to accept the invite. If the user has already registered, then they will be added as a member to the tenant immediately.
To invite members, use a Portal user that is a member of the target tenant. A reliable workflow is to create the tenant from the MATTR Portal rather than via an M2M client. The Portal user that creates the tenant becomes a member automatically, and can then invite additional users to it, either from the Portal UI or by calling this endpoint with the Portal user's access token.
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Identifier of the tenant to add the member to.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
text/plain
application/json
curl -X POST "https://example.com/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/invitations" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "roles": [ "string" ] }'{ "userId": "string", "status": "Pending", "inviteExpiresAt": "2019-08-24T14:15:22Z"}How would you rate this page?